Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.light
Class FluxSkyLight

    java.lang.Object
      de.grogra.gpuflux.scene.FluxObject
          de.grogra.gpuflux.scene.light.FluxLight
              de.grogra.gpuflux.scene.light.FluxSkyLight

    public class FluxSkyLight

extends FluxLight

Field Summary

Fields inherited from class de.grogra.gpuflux.scene.light.FluxLight
`LIGHT_AREA, LIGHT_DIRECTIONAL, LIGHT_PHYSICAL, LIGHT_POINT, LIGHT_SKY, LIGHT_SPECTRAL, LIGHT_SPOT`

Constructor Summary
`FluxSkyLight(Sky light, FluxShader fluxShader)`

Method Summary
`int` | `getSampleCount()`
`void` | `serialize(ComputeByteBuffer outStream)`
`void` | `serializeSky(ComputeByteBuffer outStream)`
`void` | `serializeSkyRadiance(ComputeByteBuffer outStream)`

Methods inherited from class de.grogra.gpuflux.scene.light.FluxLight
`getLight, getTransformation, serializeLightBase, setTransformation`

Methods inherited from class de.grogra.gpuflux.scene.FluxObject
`getOffset, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxSkyLight

    public FluxSkyLight(Sky light,
                        FluxShader fluxShader)

Method Detail

### getSampleCount

    public int getSampleCount()

  Overrides:
    `getSampleCount` in class `FluxLight`

### serialize

    public void serialize(ComputeByteBuffer outStream)
                   throws java.io.IOException

  Specified by:
    `serialize` in class `FluxObject`
  Throws:
    `java.io.IOException`

### serializeSky

    public void serializeSky(ComputeByteBuffer outStream)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeSkyRadiance

    public void serializeSkyRadiance(ComputeByteBuffer outStream)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD